Index: sandbox_qt/src/libraries/util/Math.h
===================================================================
--- sandbox_qt/src/libraries/util/Math.h	(revision 7419)
+++ sandbox_qt/src/libraries/util/Math.h	(revision 7421)
@@ -35,5 +35,5 @@
     @file
     @ingroup Math
-    @brief Declaration and implementation of several math-functions, typedefs of some Ogre::Math classes to the orxonox namespace.
+    @brief Declaration and implementation of several math-functions.
 */
 
@@ -45,11 +45,4 @@
 #include <string>
 #include <cmath>
-
-#include <OgreMath.h>
-#include <OgreVector2.h>
-#include <OgreVector3.h>
-#include <OgreVector4.h>
-#include <OgreQuaternion.h>
-#include <OgreColourValue.h>
 
 // Certain headers might define unwanted macros...
@@ -83,16 +76,4 @@
     }
 
-#if OGRE_VERSION < 0x010603
-    _UtilExport std::ostream& operator<<(std::ostream& out, const orxonox::Radian& radian);
-    _UtilExport std::ostream& operator<<(std::ostream& out, const orxonox::Degree& degree);
-#endif
-    _UtilExport std::istream& operator>>(std::istream& in, orxonox::Radian& radian);
-    _UtilExport std::istream& operator>>(std::istream& in, orxonox::Degree& degree);
-
-    _UtilExport float getAngle(const orxonox::Vector3& myposition, const orxonox::Vector3& mydirection, const orxonox::Vector3& otherposition);
-    _UtilExport orxonox::Vector2 get2DViewdirection(const orxonox::Vector3& myposition, const orxonox::Vector3& mydirection, const orxonox::Vector3& myorthonormal, const orxonox::Vector3& otherposition);
-    _UtilExport orxonox::Vector2 get2DViewcoordinates(const orxonox::Vector3& myposition, const orxonox::Vector3& mydirection, const orxonox::Vector3& myorthonormal, const orxonox::Vector3& otherposition);
-    _UtilExport orxonox::Vector3 getPredictedPosition(const orxonox::Vector3& myposition, float projectilespeed, const orxonox::Vector3& targetposition, const orxonox::Vector3& targetvelocity);
-
     /**
         @brief Returns the sign of the given value.
@@ -177,61 +158,4 @@
             return ((x % max) + max);
     }
-
-    /**
-        @brief Returns a "zero" value for the given type.
-        @note This is the default template of the zeroise() function. The template is spezialized for each supported type.
-
-        The exact return value of the function depends on the type. For @c int this is 0,
-        for @c float it's 0.0f. For a @c std::string the function returns "" and for
-        @c Vector3 you get <tt>Vector3(0, 0, 0)</tt>.
-    */
-    template <typename T>
-    inline T zeroise()
-    {
-        // Default, raise a compiler error without including large boost header cascade.
-        T temp();
-        *********temp; // If you reach this code, you abused zeroise()!
-        return temp;
-    }
-
-    template <> inline char                 zeroise<char>()                 { return 0; }
-    template <> inline unsigned char        zeroise<unsigned char>()        { return 0; }
-    template <> inline short                zeroise<short>()                { return 0; }
-    template <> inline unsigned short       zeroise<unsigned short>()       { return 0; }
-    template <> inline int                  zeroise<int>()                  { return 0; }
-    template <> inline unsigned int         zeroise<unsigned int>()         { return 0; }
-    template <> inline long                 zeroise<long>()                 { return 0; }
-    template <> inline unsigned long        zeroise<unsigned long>()        { return 0; }
-    template <> inline long long            zeroise<long long>()            { return 0; }
-    template <> inline unsigned long long   zeroise<unsigned long long>()   { return 0; }
-    template <> inline float                zeroise<float>()                { return 0; }
-    template <> inline double               zeroise<double>()               { return 0; }
-    template <> inline long double          zeroise<long double>()          { return 0; }
-    template <> inline bool                 zeroise<bool>()                 { return 0; }
-    template <> inline void*                zeroise<void*>()                { return 0; }
-    template <> inline std::string          zeroise<std::string>()          { return std::string(); }
-    template <> inline orxonox::Radian      zeroise<orxonox::Radian>()      { return orxonox::Radian(0.0f); }
-    template <> inline orxonox::Degree      zeroise<orxonox::Degree>()      { return orxonox::Degree(0.0f); }
-    template <> inline orxonox::Vector2     zeroise<orxonox::Vector2>()     { return orxonox::Vector2    (0, 0)      ; }
-    template <> inline orxonox::Vector3     zeroise<orxonox::Vector3>()     { return orxonox::Vector3    (0, 0, 0)   ; }
-    template <> inline orxonox::Vector4     zeroise<orxonox::Vector4>()     { return orxonox::Vector4    (0, 0, 0, 0); }
-    template <> inline orxonox::ColourValue zeroise<orxonox::ColourValue>() { return orxonox::ColourValue(0, 0, 0, 0); }
-    template <> inline orxonox::Quaternion  zeroise<orxonox::Quaternion>()  { return orxonox::Quaternion (0, 0, 0, 0); }
-
-    /**
-        @brief Provides zero value symbols that can be returned as reference
-        @see zeroise()
-    */
-    template <typename T>
-    struct NilValue
-    {
-        inline operator const T&() const
-        {
-            return value;
-        }
-        static T value;
-    };
-    template <typename T>
-    T NilValue<T>::value = zeroise<T>();
 
     /**
@@ -297,29 +221,4 @@
 
     _UtilExport unsigned long getUniqueNumber();
-
-    /**
-        @brief A Vector class containing two integers @a x and @a y.
-    */
-    class IntVector2
-    {
-    public:
-        IntVector2() : x(0), y(0) { }
-        IntVector2(int _x, int _y) : x(_x), y(_y) { }
-        int x;
-        int y;
-    };
-
-    /**
-        @brief A Vector class containing three integers @a x, @a y, and @a z.
-    */
-    class IntVector3
-    {
-    public:
-        IntVector3() : x(0), y(0), z(0) { }
-        IntVector3(int _x, int _y, int _z) : x(_x), y(_y), z(_z) { }
-        int x;
-        int y;
-        int z;
-    };
 }
 
Index: sandbox_qt/src/libraries/util/Singleton.h
===================================================================
--- sandbox_qt/src/libraries/util/Singleton.h	(revision 7419)
+++ sandbox_qt/src/libraries/util/Singleton.h	(revision 7421)
@@ -145,11 +145,11 @@
 
         //! Update method called by ClassSingletonManager (if used)
-        void preUpdateSingleton(const Clock& time) { static_cast<T*>(T::singletonPtr_s)->preUpdate(time); }
+        void preUpdateSingleton() { static_cast<T*>(T::singletonPtr_s)->preUpdate(); }
         //! Empty update method for the static polymorphism
-        void preUpdate(const Clock& time) { }
+        void preUpdate() { }
         //! Update method called by ClassSingletonManager (if used)
-        void postUpdateSingleton(const Clock& time) { static_cast<T*>(T::singletonPtr_s)->postUpdate(time); }
+        void postUpdateSingleton() { static_cast<T*>(T::singletonPtr_s)->postUpdate(); }
         //! Empty update method for the static polymorphism
-        void postUpdate(const Clock& time) { }
+        void postUpdate() { }
 
     protected:
Index: sandbox_qt/src/libraries/util/StringUtils.cc
===================================================================
--- sandbox_qt/src/libraries/util/StringUtils.cc	(revision 7419)
+++ sandbox_qt/src/libraries/util/StringUtils.cc	(revision 7421)
@@ -35,5 +35,7 @@
 
 #include <cctype>
-#include <boost/scoped_array.hpp>
+#include <QVarLengthArray>
+#include <QDir>
+
 #include "Convert.h"
 #include "Math.h"
@@ -493,5 +495,5 @@
         size_t cols = str1.size() + 1;
         size_t rows = str2.size() + 1;
-        boost::scoped_array<int> matrix(new int[rows * cols]);
+        QVarLengthArray<int> matrix(rows * cols);
 
         for (size_t r = 0; r < rows; ++r)
@@ -516,3 +518,24 @@
         return matrix[(rows-1)*cols + cols-1];
     }
+
+    QDir& operator/=(QDir& lhs, const QDir& rhs)
+    {
+        lhs.setPath(lhs.path() + QDir::separator() + rhs.path());
+        return lhs;
+    }
+
+    QDir& operator/=(QDir& lhs, const QString& rhs)
+    {
+        return operator/=(lhs, QDir(rhs));
+    }
+
+    QDir operator/(const QDir& lhs, const QDir& rhs)
+    {
+        return (QDir(lhs) /= rhs);
+    }
+
+    QDir operator/(const QDir& lhs, const QString& rhs)
+    {
+        return operator/(lhs, QDir(rhs));
+    }
 }
Index: sandbox_qt/src/libraries/util/UtilPrereqs.h
===================================================================
--- sandbox_qt/src/libraries/util/UtilPrereqs.h	(revision 7419)
+++ sandbox_qt/src/libraries/util/UtilPrereqs.h	(revision 7421)
@@ -59,21 +59,4 @@
 
 //-----------------------------------------------------------------------
-// Enums
-//-----------------------------------------------------------------------
-
-namespace orxonox
-{
-    namespace ScopeID
-    {
-        //!A list of available scopes for the Scope template.
-        enum Value
-        {
-            Root,
-            Graphics
-        };
-    }
-}
-
-//-----------------------------------------------------------------------
 // Forward declarations
 //-----------------------------------------------------------------------
@@ -81,46 +64,10 @@
 namespace orxonox
 {
-    class Clock;
     class Exception;
-    class ExprParser;
-    class IntVector2;
-    class IntVector3;
-    class MultiType;
     class OutputHandler;
     class OutputListener;
-    template <ScopeID::Value>
-    class Scope;
-    template <class, ScopeID::Value>
-    class ScopedSingleton;
-    class ScopeListener;
-    class SignalHandler;
     template <class T>
     class Singleton;
     class SubString;
-}
-
-namespace Ogre
-{
-    class Radian;
-    class Degree;
-    class Vector2;
-    class Vector3;
-    class Vector4;
-    class Matrix3;
-    class Matrix4;
-    class Quaternion;
-    class ColourValue;
-}
-namespace orxonox
-{
-    using Ogre::Radian;
-    using Ogre::Degree;
-    using Ogre::Vector2;
-    using Ogre::Vector3;
-    using Ogre::Vector4;
-    using Ogre::Matrix3;
-    using Ogre::Matrix4;
-    using Ogre::Quaternion;
-    using Ogre::ColourValue;
 }
 
@@ -131,4 +78,7 @@
 }
 
+class QDir;
+class QString;
+
 // Just so you don't have to include StringUtils.h everywhere just for this
 namespace orxonox
@@ -137,4 +87,15 @@
 }
 
+//-----------------------------------------------------------------------
+// Functions (implementations in StringUtils.cc)
+//-----------------------------------------------------------------------
+
+namespace orxonox
+{
+    _UtilExport QDir& operator/=(QDir& lhs, const QDir& rhs);
+    _UtilExport QDir& operator/=(QDir& lhs, const QString& rhs);
+    _UtilExport QDir operator/(const QDir& lhs, const QDir& rhs);
+    _UtilExport QDir operator/(const QDir& lhs, const QString& rhs);
+}
 
 #endif /* _UtilPrereqs_H__ */
Index: sandbox_qt/src/orxonox-main.vcproj.user.in
===================================================================
--- sandbox_qt/src/orxonox-main.vcproj.user.in	(revision 7419)
+++ sandbox_qt/src/orxonox-main.vcproj.user.in	(revision 7421)
@@ -11,5 +11,5 @@
 			<DebugSettings
 				WorkingDirectory="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/$(OutDir)"
-				Environment="Path=${RUNTIME_LIBRARY_DIRECTORY}"
+				Environment="PATH=${RUNTIME_LIBRARY_DIRECTORY};%PATH%"
 				EnvironmentMerge="true"
 			/>
@@ -20,5 +20,5 @@
 			<DebugSettings
 				WorkingDirectory="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/$(OutDir)"
-				Environment="Path=${RUNTIME_LIBRARY_DIRECTORY}"
+				Environment="PATH=${RUNTIME_LIBRARY_DIRECTORY};%PATH%"
 				EnvironmentMerge="true"
 			/>
@@ -29,5 +29,5 @@
 			<DebugSettings
 				WorkingDirectory="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/$(OutDir)"
-				Environment="Path=${RUNTIME_LIBRARY_DIRECTORY}"
+				Environment="PATH=${RUNTIME_LIBRARY_DIRECTORY};%PATH%"
 				EnvironmentMerge="true"
 			/>
@@ -38,5 +38,5 @@
 			<DebugSettings
 				WorkingDirectory="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/$(OutDir)"
-				Environment="Path=${RUNTIME_LIBRARY_DIRECTORY}"
+				Environment="PATH=${RUNTIME_LIBRARY_DIRECTORY};%PATH%"
 				EnvironmentMerge="true"
 			/>
Index: sandbox_qt/src/orxonox/CMakeLists.txt
===================================================================
--- sandbox_qt/src/orxonox/CMakeLists.txt	(revision 7419)
+++ sandbox_qt/src/orxonox/CMakeLists.txt	(revision 7421)
@@ -24,64 +24,15 @@
 
 SET_SOURCE_FILES(ORXONOX_SRC_FILES
-  Level.cc
-  LevelManager.cc
   Main.cc
-  MoodManager.cc
-  PawnManager.cc
-  PlayerManager.cc
-  Radar.cc
-  ChatHistory.cc
-  ChatInputHandler.cc
-#  Test.cc
-COMPILATION_BEGIN SceneCompilation.cc
-  CameraManager.cc
-  Scene.cc
-COMPILATION_END
 )
 
-ADD_SUBDIRECTORY(collisionshapes)
-ADD_SUBDIRECTORY(controllers)
-ADD_SUBDIRECTORY(gamestates)
-ADD_SUBDIRECTORY(gametypes)
-ADD_SUBDIRECTORY(graphics)
-ADD_SUBDIRECTORY(infos)
-ADD_SUBDIRECTORY(interfaces)
-ADD_SUBDIRECTORY(items)
-ADD_SUBDIRECTORY(overlays)
-ADD_SUBDIRECTORY(pickup)
-ADD_SUBDIRECTORY(sound)
-ADD_SUBDIRECTORY(weaponsystem)
-ADD_SUBDIRECTORY(worldentities)
+#ADD_SUBDIRECTORY(subdir)
 
 ORXONOX_ADD_LIBRARY(orxonox
   FIND_HEADER_FILES
-  TOLUA_FILES
-    ChatInputHandler.h
-    LevelManager.h
-    MoodManager.h
-    controllers/HumanController.h
-    interfaces/Pickupable.h
-    infos/PlayerInfo.h
-    sound/SoundManager.h
-  PCH_FILE
-    OrxonoxPrecompiledHeaders.h
   LINK_LIBRARIES
-    ${Boost_FILESYSTEM_LIBRARY}
-    ${Boost_SYSTEM_LIBRARY} # Filesystem dependency
-    ${Boost_THREAD_LIBRARY}
-    ${Boost_DATE_TIME_LIBRARY} # Thread dependency
-    ${OGRE_LIBRARY}
-    ${OPENAL_LIBRARY}
-    ${ALUT_LIBRARY}
-    ${VORBISFILE_LIBRARY}
-    ${VORBIS_LIBRARY}
-    ${OGG_LIBRARY}
-    tinyxml_orxonox
-    tolua_orxonox
-    bullet_orxonox
+    ${QT_QTCORE_LIBRARY}
     util
     core
-    network
-    tools
   SOURCE_FILES ${ORXONOX_SRC_FILES}
 )
Index: sandbox_qt/src/orxonox/Main.cc
===================================================================
--- sandbox_qt/src/orxonox/Main.cc	(revision 7419)
+++ sandbox_qt/src/orxonox/Main.cc	(revision 7421)
@@ -36,26 +36,9 @@
 #include "OrxonoxPrereqs.h"
 
-#include "core/CommandLineParser.h"
 #include "core/Game.h"
-#include "core/LuaState.h"
-#include "ToluaBindOrxonox.h"
-#include "ToluaBindNetwork.h"
 #include "Main.h"
-
-DeclareToluaInterface(Orxonox);
-DeclareToluaInterface(Network);
 
 namespace orxonox
 {
-    SetCommandLineSwitch(console).information("Start in console mode (text IO only)");
-    SetCommandLineSwitch(server).information("Start in server mode");
-    SetCommandLineSwitch(client).information("Start in client mode");
-    SetCommandLineSwitch(dedicated).information("Start in dedicated server mode");
-    SetCommandLineSwitch(standalone).information("Start in standalone mode");
-    SetCommandLineSwitch(dedicatedClient).information("Start in dedicated client mode");
-
-    SetCommandLineArgument(generateDoc, "")
-        .information("Generates a Doxygen file from things like SetConsoleCommand");
-
     /**
     @brief
@@ -66,37 +49,6 @@
         Game* game = new Game(strCmdLine);
 
-        if (CommandLineParser::getValue("generateDoc").getString().empty())
-        {
-            game->setStateHierarchy(
-            "root"
-            " graphics"
-            "  mainMenu"
-            "  standalone,server,client"
-            "   level"
-            " server,client"
-            "  level"
-            );
-
-            game->requestState("root");
-
-            // Some development hacks (not really, but in the future, these calls won't make sense anymore)
-            if (CommandLineParser::getValue("standalone").getBool())
-                Game::getInstance().requestStates("graphics, standalone, level");
-            else if (CommandLineParser::getValue("server").getBool())
-                Game::getInstance().requestStates("graphics, server, level");
-            else if (CommandLineParser::getValue("client").getBool())
-                Game::getInstance().requestStates("graphics, client, level");
-            else if (CommandLineParser::getValue("dedicated").getBool())
-                Game::getInstance().requestStates("server, level");
-            else if (CommandLineParser::getValue("dedicatedClient").getBool())
-                Game::getInstance().requestStates("client, level");
-            else
-            {
-                if (!CommandLineParser::getValue("console").getBool())
-                    Game::getInstance().requestStates("graphics, mainMenu");
-            }
-
-            game->run();
-        }
+        //if (CommandLineParser::getValue("generateDoc").getString().empty())
+        //    game->run();
 
         delete game;
Index: sandbox_qt/src/orxonox/OrxonoxPrereqs.h
===================================================================
--- sandbox_qt/src/orxonox/OrxonoxPrereqs.h	(revision 7419)
+++ sandbox_qt/src/orxonox/OrxonoxPrereqs.h	(revision 7421)
@@ -37,5 +37,4 @@
 
 #include "OrxonoxConfig.h"
-#include "tools/ToolsPrereqs.h"
 
 //-----------------------------------------------------------------------
@@ -65,146 +64,5 @@
 namespace orxonox
 {
-    class CameraManager;
-    class Level;
-    class LevelManager;
-    class PawnManager;
-    class PlayerManager;
-    class Radar;
-    class Scene;
-
-    // collisionshapes
-    class CollisionShape;
-    class CompoundCollisionShape;
-    class WorldEntityCollisionShape;
-
-    // controllers
-    class AIController;
-    class ArtificialController;
-    class Controller;
-    class DroneController;
-    class HumanController;
-    class ScriptController;
-    class WaypointController;
-    class WaypointPatrolController;
-
-    // gametypes
-    class Asteroids;
-    class Deathmatch;
-    class Dynamicmatch;
-    class Gametype;
-    class TeamBaseMatch;
-    class TeamDeathmatch;
-    class UnderAttack;
-
-    // graphics
-    class Backlight;
-    class Billboard;
-    class BlinkingBillboard;
-    class Camera;
-    class FadingBillboard;
-    class GlobalShader;
-    class Light;
-    class Model;
-    class ParticleEmitter;
-    class ParticleSpawner;
-
-    // infos
-    class Bot;
-    class GametypeInfo;
-    class HumanPlayer;
-    class Info;
-    class PlayerInfo;
-
-    // interfaces
-    class GametypeMessageListener;
-    class NotificationListener;
-    class Pickupable;
-    class PickupCarrier;
-    class PlayerTrigger;
-    class RadarListener;
-    class RadarViewable;
-    class Rewardable;
-    class TeamColourable;
-
-    // items
-    class Engine;
-    class Item;
-    class MultiStateEngine;
-
-    // overlays
-    class InGameConsole;
-    class Map;
-    class OrxonoxOverlay;
-    class OverlayGroup;
-
-    // pickup
-    class PickupIdentifier;
-
-    //sound
-    class AmbientSound;
-    class BaseSound;
-    class SoundBuffer;
-    class SoundManager;
-    class SoundStreamer;
-    class WorldSound;
-
-    // weaponsystem
-    class DefaultWeaponmodeLink;
-    class Munition;
-    class Weapon;
-    class WeaponMode;
-    class WeaponPack;
-    class WeaponSet;
-    class WeaponSlot;
-    class WeaponSystem;
-
-    // worldentities
-    class BigExplosion;
-    class CameraPosition;
-    class ControllableEntity;
-    class Drone;
-    class EffectContainer;
-    class ExplosionChunk;
-    class MobileEntity;
-    class MovableEntity;
-    class SpawnPoint;
-    class StaticEntity;
-    class TeamSpawnPoint;
-    class WorldEntity;
-    class Rocket;
-    // worldentities, pawns
-    class Destroyer;
-    class Pawn;
-    class SpaceShip;
-    class Spectator;
-    class TeamBaseMatchBase;
 }
 
-// Bullet Physics Engine
-class btTransform;
-class btVector3;
-
-class btRigidBody;
-class btCollisionObject;
-class btGhostObject;
-class btManifoldPoint;
-
-class btCollisionShape;
-class btSphereShape;
-class btCompoundShape;
-class btStaticPlaneShape;
-
-class btDiscreteDynamicsWorld;
-class bt32BitAxisSweep3;
-class btDefaultCollisionConfiguration;
-class btCollisionDispatcher;
-class btSequentialImpulseConstraintSolver;
-
-// ALUT
-typedef struct ALCcontext_struct ALCcontext;
-typedef struct ALCdevice_struct ALCdevice;
-typedef unsigned int ALuint;
-typedef int ALint;
-typedef int ALenum;
-
 #endif /* _OrxonoxPrereqs_H__ */
